Provision Semgrep CI GitHub Actions
curl --request POST \
--url https://api.example.com/api/agent/deployments/{deploymentId}/repos/_provision \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"deploymentId": "<string>",
"filters": {
"search": "<string>",
"codeAccess": true,
"lastScanSince": "2023-11-07T05:31:56Z",
"setup": true,
"archived": true,
"ids": [
"<string>"
],
"hasSmsSetup": true,
"isScmRepository": true,
"invertSearch": true,
"isLocalScanProject": true,
"tagId": 123
},
"excludeIds": [
"<string>"
],
"ghaOptions": {
"publishUrl": "<string>",
"prEnabled": true,
"prSendComments": true,
"pushEnabled": true,
"pushBranches": [
"<string>"
],
"pushPaths": [
"<string>"
],
"cronEnabled": true,
"useSelfHostedRunners": true
}
}
'import requests
url = "https://api.example.com/api/agent/deployments/{deploymentId}/repos/_provision"
payload = {
"deploymentId": "<string>",
"filters": {
"search": "<string>",
"codeAccess": True,
"lastScanSince": "2023-11-07T05:31:56Z",
"setup": True,
"archived": True,
"ids": ["<string>"],
"hasSmsSetup": True,
"isScmRepository": True,
"invertSearch": True,
"isLocalScanProject": True,
"tagId": 123
},
"excludeIds": ["<string>"],
"ghaOptions": {
"publishUrl": "<string>",
"prEnabled": True,
"prSendComments": True,
"pushEnabled": True,
"pushBranches": ["<string>"],
"pushPaths": ["<string>"],
"cronEnabled": True,
"useSelfHostedRunners": True
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
deploymentId: '<string>',
filters: {
search: '<string>',
codeAccess: true,
lastScanSince: '2023-11-07T05:31:56Z',
setup: true,
archived: true,
ids: ['<string>'],
hasSmsSetup: true,
isScmRepository: true,
invertSearch: true,
isLocalScanProject: true,
tagId: 123
},
excludeIds: ['<string>'],
ghaOptions: {
publishUrl: '<string>',
prEnabled: true,
prSendComments: true,
pushEnabled: true,
pushBranches: ['<string>'],
pushPaths: ['<string>'],
cronEnabled: true,
useSelfHostedRunners: true
}
})
};
fetch('https://api.example.com/api/agent/deployments/{deploymentId}/repos/_provision', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"repoFileUrls": {},
"errors": [
{
"message": "<string>",
"ids": [
"<string>"
]
}
]
}Projects
Provision Semgrep CI GitHub Actions
Adds a “semgrep-ci” GitHub Action to the GitHub Repositories that are associated with any Semgrep Projects that match the given filters.
POST
/
api
/
agent
/
deployments
/
{deploymentId}
/
repos
/
_provision
Provision Semgrep CI GitHub Actions
Authorizations
SemgrepWebTokenSemgrepJWT
Get access to data with your API token. Example header:
Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628
The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.
Path Parameters
id of the deployment
Body
application/json
Was this page helpful?
⌘I